const array = [1, 2, 3, 4, 5, 6];         

const handler = {
  get: function(target, property, receiver) {
    console.log('proxy intercepted the call');
    return target[property];
  }
};

const {proxy: numbers, revoke } = Proxy.revocable(array, handler);

console.log(numbers.length);
revoke();

try {
  console.log(numbers.length);  
} catch(ex) {
  console.log(ex.message);
}
